{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM_CTREPARTIE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "PCO_NUM_CREDIT"; }; 
            name = pcoNumCtrepartie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PCO_NUM_ORDONNATEUR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "PCO_NUM_DEBIT"; }; 
            name = pcoNumOrdonnateur; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PCO_NUM_TVA"; 
            externalType = VARCHAR2; 
            name = pcoNumTva; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PVI_CONTREPARTIE_GESTION"; 
            externalType = VARCHAR2; 
            name = pviContrepartieGestion; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pvi_Libelle"; 
            externalType = VARCHAR2; 
            name = pviLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "pvi_ordre"; 
            externalType = NUMBER; 
            name = pviOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        pcoNumCtrepartie, 
        pcoNumOrdonnateur, 
        pcoNumTva, 
        pviLibelle, 
        pviOrdre, 
        exeOrdre
    ); 
    className = "org.cocktail.maracuja.server.metier.EOPlancoVisa"; 
    classProperties = (ctrepartie, ordonnateur, pviLibelle, tva, pviContrepartieGestion, exercice); 
    externalName = "maracuja.planco_visa"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (ctrepartie, ordonnateur, pviLibelle, tva, pviContrepartieGestion, exercice); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOPlancoVisa"; 
    }; 
    name = PlancoVisa; 
    primaryKeyAttributes = (pviOrdre); 
    relationships = (
        {
            destination = PlanComptable; 
            internalInfo = {"_nameInObjectStore" = credit; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNumCtrepartie; }); 
            name = ctrepartie; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = PlanComptable; 
            internalInfo = {"_nameInObjectStore" = debit; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNumOrdonnateur; }); 
            name = ordonnateur; 
        }, 
        {
            destination = PlanComptable; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNumTva; }); 
            name = tva; 
        }
    ); 
}
